Name:       cuda-z
Version:    0.11.273
Release:    %mkrel 1
Summary:    CUDA-Z shows some basic information about CUDA-enabled GPUs and GPGPUs
Group:      Development/X11
License:    GPLv3
URL:        http://cuda-z.sourceforge.net/
# Get Source code from svn repository here: https://svn.code.sf.net/p/cuda-z/code/trunk using:
# - svn co https://svn.code.sf.net/p/cuda-z/code/trunk cuda-z-<major_version>.<svn_revision>
# - add log file using: svn log > ChangeLog
# - remove unneeded binaries from bld/bin
# - create tarball
Source0:    %{name}-%{version}.tar.xz
Patch0:     cuda-z-0.11.273-fixbuild.patch
BuildRequires: qt4-devel
BuildRequires: nvidia-cuda-toolkit-devel
BuildRequires: imagemagick
BuildRequires: svn
Requires:      nvidia-cuda-toolkit
ExclusiveArch: x86_64

%description
CUDA-Z shows some basic information about CUDA-enabled GPUs and
GPGPUs. It works with nVIDIA Geforce, Quadro and Tesla cards, ION
chipsets.

CUDA-Z shows the following information:

    - Installed CUDA driver and dll version.
    - GPU core capabilities.
    - Integer and float point calculation performance.
    - Performance of double-precision operations if GPU is capable.
    - memory size and bandwidth.

This program also exports collected information to HTML format and
plain text file.

%prep
%setup -q
%patch0 -p1

%build
qmake-qt4
make

%install
mkdir -p %{buildroot}%{_bindir} \
   %{buildroot}%{_datadir}/icons/hicolor/{16x16,24x24,32x32,48x48,64x64,96x96,128x128,192x192,256x256}/apps

install -m 755 bin/cuda-z %{buildroot}/usr/bin
for i in 16x16 24x24 32x32 48x48 64x64 96x96 128x128 192x192 256x256; do
   convert res/img/icon.png %{buildroot}%{_datadir}/icons/hicolor/${i}/apps/cuda-z.png
done

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=CUDA-Z
GenericName=CUDA-Z
Comment=Shows infos about CUDA-enabled GPUs
Type=Application
Terminal=false
Icon=cuda-z
Categories=Development;DataVisualization;
Exec=cuda-z
EOF

desktop-file-install --dir %{buildroot}%{_datadir}/applications  %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/cuda-z
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/cuda-z.png
%doc LICENSE.GPL3 ChangeLog


%changelog
* Thu Jul 06 2017 ghibo <ghibo> 0.11.273-1.mga6
+ Revision: 1109106
- ExclusiveArch to x86_64 as CUDA is not available for x86
- imported package cuda-z

